=== debian/changelog ===
pyferret (7.2-1build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 19:13:49 +0000

pyferret (7.2-1) unstable; urgency=medium

  * Mew upstream release
  * Patch from Simon Quigleyo ensure we are py3-version neutral.
    Closes: #869235
  * Add gbp.conf file
  * __init__.py: Add default values for FER_PALETTE, etc.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 22 Jul 2017 16:43:34 +0100

pyferret (7.1.1.beta-1) unstable; urgency=medium

  * New upstream release.
    - remove obsolete py3 patches
    - patch to fixup setup.py for py3 libname
  * Ignore tests for this build 
  * Standards-Version: 4.0.0. No changes required
  * Enable builds with python3.5, py3.6 simultaneously. Closes: #863004

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Jun 2017 11:05:57 +0100

pyferret (7.0.0-3) unstable; urgency=medium

  * Move to DH_COMPAT=10
  * Depend on python*-dev not python*-all-dev. Closes: #863994

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 May 2017 07:06:22 +0100
