=== debian/control ===
Source: pyferret
Standards-Version: 4.0.0
Homepage: http://ferret.pmel.noaa.gov/Ferret/documentation/pyferret
Vcs-Git: git://git.debian.org/git/debian-science/packages/pyferret.git
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Section: science
Priority: optional
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Build-Depends: debhelper (>= 10), gfortran, csh, dh-python,
 libreadline-dev, libcurl4-openssl-dev | libcurl-dev, libncurses-dev, 
 libnetcdf-dev (>= 4.3.0), libnetcdff-dev,
 libxpm-dev, libxt-dev, libcairo2-dev, libpango1.0-dev,
 python-dev, python3-dev,
 python-numpy, python3-numpy,
 python-future, python3-future,
 java-common, default-jdk-headless, 
 ferret-vis

Package: python-ferret
Architecture: any
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ferret-vis, ${python:Depends}, python-future
Recommends: ferret-datasets
Description: Python wrapper for the Ferret visualization and analysis environment
 Ferret is an interactive computer visualization and analysis environment
 designed to meet the needs of oceanographers and meteorologists analyzing
 large and complex gridded data sets. It can transparently access extensive
 remote Internet data bases using OPeNDAP (formerly known as DODS)
 .
 This is the Python wrapper for Ferret

Package: python3-ferret
Architecture: any
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ferret-vis, ${python3:Depends}, python3-future
Recommends: ferret-datasets
Description: Python3 wrapper for the Ferret visualization and analysis environment,
 Ferret is an interactive computer visualization and analysis environment
 designed to meet the needs of oceanographers and meteorologists analyzing
 large and complex gridded data sets. It can transparently access extensive
 remote Internet data bases using OPeNDAP (formerly known as DODS)
 .
 This is the Python3 wrapper for Ferret
