## pyferret 7.3

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,6 @@
 optimized :
 	mkdir -p $(DIR_PREFIX)/lib
 	$(MAKE) -C $(DIR_PREFIX)/fer optimized
-	$(MAKE) -C $(DIR_PREFIX)/threddsBrowser
 	$(MAKE) pymod_optimized_build
 	$(MAKE) pymod_optimized_install
 	$(MAKE) externals_optimized
@@ -26,7 +25,6 @@
 beta :
 	mkdir -p $(DIR_PREFIX)/lib
 	$(MAKE) -C $(DIR_PREFIX)/fer beta
-	$(MAKE) -C $(DIR_PREFIX)/threddsBrowser
 	$(MAKE) pymod_optimized_build
 	$(MAKE) pymod_optimized_install
 	$(MAKE) externals_optimized
@@ -36,19 +34,31 @@
 debug :
 	mkdir -p $(DIR_PREFIX)/lib
 	$(MAKE) -C $(DIR_PREFIX)/fer debug
-	$(MAKE) -C $(DIR_PREFIX)/threddsBrowser
 	$(MAKE) pymod_debug_build
 	$(MAKE) pymod_debug_install
 	$(MAKE) externals_debug
 	$(MAKE) -C $(DIR_PREFIX)/bin/build_fonts/unix
 
-## The following defines VERBOSEDEBUG used by fer/grdel, which causes it
-## to create a pyferretdebug.log file with all the graphics commands issued
-.PHONY : verbosedebug
-verbosedebug :
+## The definition of MEMORYDEBUG is observed by fer/special/FerMem_routines.c, 
+## which causes it to print (append) all memory allocations, reallocations, 
+## and frees to file "memorydebug.txt".  Initialize allocated memory with 
+## non-zero values.  Expect this to be a lot slower due to all the 
+## (intentionally inefficient but safe) file operations.
+.PHONY : memorydebug
+memorydebug :
 	mkdir -p $(DIR_PREFIX)/lib
-	$(MAKE) -C $(DIR_PREFIX)/fer verbosedebug
-	$(MAKE) -C $(DIR_PREFIX)/threddsBrowser
+	$(MAKE) -C $(DIR_PREFIX)/fer memorydebug
+	$(MAKE) "CFLAGS = $(CFLAGS) -DMEMORYDEBUG" pymod_debug_build
+	$(MAKE) "CFLAGS = $(CFLAGS) -DMEMORYDEBUG" pymod_debug_install
+	$(MAKE) externals_debug
+	$(MAKE) -C $(DIR_PREFIX)/bin/build_fonts/unix
+
+## The following defines GRDELDEBUG used by fer/grdel, which causes it
+## to create a grdeldebug.log file with all the graphics commands issued
+.PHONY : grdeldebug
+grdeldebug :
+	mkdir -p $(DIR_PREFIX)/lib
+	$(MAKE) -C $(DIR_PREFIX)/fer grdeldebug
 	$(MAKE) pymod_debug_build
 	$(MAKE) pymod_debug_install
 	$(MAKE) externals_debug
@@ -141,7 +151,6 @@
 	rm -fr $(DIR_PREFIX)/install $(DIR_PREFIX)/build ferret.jnl*
 	find $(DIR_PREFIX)/pviewmod -name '*.py[co]' -delete
 	find $(DIR_PREFIX)/pyfermod -name '*.py[co]' -delete
-	$(MAKE) -C $(DIR_PREFIX)/threddsBrowser clean
 	$(MAKE) -C $(DIR_PREFIX)/fer clean
 	rm -fr $(DIR_PREFIX)/lib
 
@@ -154,14 +163,13 @@
 	mv -f pyferret-latest-local.tar.gz $(INSTALL_FER_DIR)
 	( cd $(INSTALL_FER_DIR) ; tar xz --strip-components=1 -f pyferret-latest-local.tar.gz )
 
-## The following is for installing the updated threddsBrowser.jar, ferret_ef_meme_subsc.so,
-## libpyferret.so, and PyFerret python scripts into $(INSTALL_FER_DIR)/lib without having 
-## to use the distribution tar file.  Also copies all the PyFerret Fortran external function 
-## to the $(INSTALL_FER_DIR)/ext_func/pylibs directory.
+## The following is for installing the updated ferret_ef_meme_subsc.so, libpyferret.so, 
+## and PyFerret python scripts into $(INSTALL_FER_DIR)/lib without having to use the 
+## distribution tar file.  Also copies all the PyFerret Fortran external function to 
+## the $(INSTALL_FER_DIR)/ext_func/pylibs directory.
 .PHONY : update
 update :
 	mkdir -p $(INSTALL_FER_DIR)/lib
-	cp -f $(DIR_PREFIX)/threddsBrowser/threddsBrowser.jar $(INSTALL_FER_DIR)/lib
 	find $(DIR_PREFIX)/external_functions -type f -perm -100 -name \*.so -exec cp {} $(INSTALL_FER_DIR)/ext_func/pylibs \;
 	( cd $(DIR_PREFIX) ; \
 	  export CC=$(CC) ; \
@@ -176,9 +184,9 @@
 	  export IS_LINUX_SYSTEM=$(IS_LINUX_SYSTEM) ; \
 	  $(PYTHON_EXE) setup.py --quiet install -O2 --prefix=$(INSTALL_FER_DIR) )
 
-## Execute the RUN_TESTS.sh tests
-.PHONY : run_tests
-run_tests :
-	$(MAKE) -C $(DIR_PREFIX)/bench run_tests
+## Execute the benchmark tests
+.PHONY : check
+check : 
+	$(MAKE) -C $(DIR_PREFIX)/bench check
 
 ##
