=== bench/Makefile ===
--- 
+++ 
@@ -6,6 +6,10 @@
 include ../site_specific.mk
 include ../platform_specific.mk.$(BUILDTYPE)
 
+## For PyFerret, use run_tests as the standard check
+.PHONY: check
+check: run_tests
+
 ## Execute the RUN_TESTS.sh test suite
 .PHONY: run_tests
 run_tests:
@@ -13,7 +17,7 @@
 	    echo "*** PyFerret must be installed and the ferret_paths script must have sourced for these tests ***" ; \
 	    exit 1 ; \
 	fi
-	./RUN_TESTS.sh `which pyferret` "$(PYFER_EXTERNAL_FUNCTIONS)"
+	( SED_EXTREGEX_FLAG="$(SED_EXTREGEX_FLAG)"; export SED_EXTREGEX_FLAG; ./RUN_TESTS.sh `which pyferret` "$(PYFER_EXTERNAL_FUNCTIONS)" )
 	@echo 'Differences in the generated bench PDF and PNG files versus those in bench/test_results'
 	-@for img in *.pdf *.png ; \
 	do \
