=== debian/changelog ===
pyferret (7.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.2; no changes required
  * Fix find in clean target to delete properly. Closes: #876723
  * Add recommends for scipy, pyshp

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Dec 2017 12:40:50 +0000
