=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pyferret
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: http://ferret.pmel.noaa.gov/Ferret/documentation/pyferret
 Vcs-Git: git://git.debian.org/git/debian-science/packages/pyferret.git
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
@@ -8,9 +8,14 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Build-Depends: debhelper (>= 10), gfortran, csh, dh-python,
- libreadline-dev, libcurl4-openssl-dev | libcurl-dev, libncurses-dev, 
+ libreadline-dev, 
+ libcurl4-openssl-dev | libcurl-dev, 
+ libncurses-dev, 
  libnetcdf-dev (>= 4.3.0), libnetcdff-dev,
- libxpm-dev, libxt-dev, libcairo2-dev, libpango1.0-dev,
+ libxpm-dev, 
+ libxt-dev, 
+ libcairo2-dev, 
+ libpango1.0-dev,
  python-dev, python3-dev,
  python-numpy, python3-numpy,
  python-future, python3-future,
@@ -21,7 +26,7 @@
 Architecture: any
 Section: python
 Depends: ${misc:Depends}, ${shlibs:Depends}, ferret-vis, ${python:Depends}, python-future
-Recommends: ferret-datasets
+Recommends: ferret-datasets, python-scipy, python-pyshp
 Description: Python wrapper for the Ferret visualization and analysis environment
  Ferret is an interactive computer visualization and analysis environment
  designed to meet the needs of oceanographers and meteorologists analyzing
@@ -34,7 +39,7 @@
 Architecture: any
 Section: python
 Depends: ${misc:Depends}, ${shlibs:Depends}, ferret-vis, ${python3:Depends}, python3-future
-Recommends: ferret-datasets
+Recommends: ferret-datasets, python3-scipy, python3-pyshp
 Description: Python3 wrapper for the Ferret visualization and analysis environment,
  Ferret is an interactive computer visualization and analysis environment
  designed to meet the needs of oceanographers and meteorologists analyzing
