=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	for p in $(PY2) $(PY3) ; do \
 		$(MAKE) HOSTTYPE=debian PYTHON_EXE=$$p clean all install ; \
 		done
-	find debian -name '*.pyo' -o -name '*.pyc' -delete
+	find debian \( -name '*.pyo' -o -name '*.pyc' \) -delete
 	find debian -type d -name __pycache__ -delete
 	dh_numpy
 	dh_numpy3
