=== debian/changelog ===
pyferret (7.4-1build1) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:44:27 +0000

pyferret (7.4-1) unstable; urgency=medium

  * New upstream release
  * Drop Java dependencies; threddsBrowser code no longer shipped
  * Standards-Version: 4.1.4
  * Set NETCDF_LIB in site_specific.mk.in 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Apr 2018 15:32:40 +0100

pyferret (7.3-2) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * Point VCS to salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Mar 2018 13:13:14 +0000
