=== debian/control ===
--- 
+++ 
@@ -1,25 +1,33 @@
 Source: pyferret
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: http://ferret.pmel.noaa.gov/Ferret/documentation/pyferret
-Vcs-Git: git://git.debian.org/git/debian-science/packages/pyferret.git
+Vcs-Browser: https://salsa.debian.org:/science-team/pyferret
+Vcs-Git: https://salsa.debian.org:/science-team/pyferret.git
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Section: science
 Priority: optional
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Build-Depends: debhelper (>= 10), gfortran, csh, dh-python,
+Build-Depends: debhelper (>= 10),
+ gfortran,
+ pkg-config,
+ csh,
+ dh-python,
  libreadline-dev, 
  libcurl4-openssl-dev | libcurl-dev, 
  libncurses-dev, 
- libnetcdf-dev (>= 4.3.0), libnetcdff-dev,
+ libnetcdf-dev (>= 4.3.0),
+ libnetcdff-dev,
  libxpm-dev, 
  libxt-dev, 
  libcairo2-dev, 
  libpango1.0-dev,
- python-dev, python3-dev,
- python-numpy, python3-numpy,
- python-future, python3-future,
- java-common, default-jdk-headless, 
+ python-dev,
+ python3-dev,
+ python-numpy,
+ python3-numpy,
+ python-future,
+ python3-future,
  ferret-vis
 
 Package: python-ferret
